#### D.8.6.1 nt_solve

Procedure from library `ntsolve.lib` (see ntsolve_lib).

Usage:
  nt_solve(gls,ini[,ipar]); gls,ini= ideals, ipar=list/intvec,
  gls: contains the equations, for which a solution will be computed
  ini: ideal of initial values (approximate solutions to start with),
  ipar: control integers (default: ipar = [100, 10])

       ipar[1]: max. number of iterations
       ipar[2]: accuracy (we have the l_2-norm ||.||): accepts solution sol
                if ||gls(sol)|| < eps0*(0.1^ipar[2])
                where eps0 = ||gls(ini)|| is the initial error

Assume:
  gls is a zerodimensional ideal with nvars(basering) = size(gls) (>1)

Return:
  ideal, coordinates of one solution (if found), 0 else

Note:
  if printlevel >0: displays comments (default =0)

Example:

    LIB "ntsolve.lib";
    ring rsq = (real,40),(x,y,z,w),lp;
    ideal gls =  x2+y2+z2-10, y2+z3+w-8, xy+yz+xz+w5 - 1,w3+y;
    ideal ini = 3.1,2.9,1.1,0.5;
    intvec ipar = 200,0;
    ideal sol = nt_solve(gls,ini,ipar);
    sol;
    ==> sol[1]=0.8698104581550055082008024755236550190005
    ==> sol[2]=2.821577445750324600849626251551515976097
    ==> sol[3]=1.132312008466417990006094015504381806805
    ==> sol[4]=-1.413071026406678849397999475515923744295

User manual for Singular version 4.4.1, 2025, generated by texi2html.